/*******************************************************************************
* File Name: BUSY.c  
* Version 1.90
*
* Description:
*  This file contains API to enable firmware control of a Pins component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "cytypes.h"
#include "BUSY.h"

/* APIs are not generated for P15[7:6] on PSoC 5 */
#if !(CY_PSOC5A &&\
	 BUSY__PORT == 15 && ((BUSY__MASK & 0xC0) != 0))


/*******************************************************************************
* Function Name: BUSY_Write
********************************************************************************
*
* Summary:
*  Assign a new value to the digital port's data output register.  
*
* Parameters:  
*  prtValue:  The value to be assigned to the Digital Port. 
*
* Return: 
*  None
*  
*******************************************************************************/
void BUSY_Write(uint8 value) 
{
    uint8 staticBits = (BUSY_DR & (uint8)(~BUSY_MASK));
    BUSY_DR = staticBits | ((uint8)(value << BUSY_SHIFT) & BUSY_MASK);
}


/*******************************************************************************
* Function Name: BUSY_SetDriveMode
********************************************************************************
*
* Summary:
*  Change the drive mode on the pins of the port.
* 
* Parameters:  
*  mode:  Change the pins to this drive mode.
*
* Return: 
*  None
*
*******************************************************************************/
void BUSY_SetDriveMode(uint8 mode) 
{
	CyPins_SetPinDriveMode(BUSY_0, mode);
}


/*******************************************************************************
* Function Name: BUSY_Read
********************************************************************************
*
* Summary:
*  Read the current value on the pins of the Digital Port in right justified 
*  form.
*
* Parameters:  
*  None
*
* Return: 
*  Returns the current value of the Digital Port as a right justified number
*  
* Note:
*  Macro BUSY_ReadPS calls this function. 
*  
*******************************************************************************/
uint8 BUSY_Read(void) 
{
    return (BUSY_PS & BUSY_MASK) >> BUSY_SHIFT;
}


/*******************************************************************************
* Function Name: BUSY_ReadDataReg
********************************************************************************
*
* Summary:
*  Read the current value assigned to a Digital Port's data output register
*
* Parameters:  
*  None 
*
* Return: 
*  Returns the current value assigned to the Digital Port's data output register
*  
*******************************************************************************/
uint8 BUSY_ReadDataReg(void) 
{
    return (BUSY_DR & BUSY_MASK) >> BUSY_SHIFT;
}


/* If Interrupts Are Enabled for this Pins component */ 
#if defined(BUSY_INTSTAT) 

    /*******************************************************************************
    * Function Name: BUSY_ClearInterrupt
    ********************************************************************************
    * Summary:
    *  Clears any active interrupts attached to port and returns the value of the 
    *  interrupt status register.
    *
    * Parameters:  
    *  None 
    *
    * Return: 
    *  Returns the value of the interrupt status register
    *  
    *******************************************************************************/
    uint8 BUSY_ClearInterrupt(void) 
    {
        return (BUSY_INTSTAT & BUSY_MASK) >> BUSY_SHIFT;
    }

#endif /* If Interrupts Are Enabled for this Pins component */ 

#endif /* CY_PSOC5A... */

    
/* [] END OF FILE */
